package com.sinosig.core.module.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.sinosig.core.module.domain.SYXTBYD;
import com.sinosig.core.module.filter.SYXTBYDSearchContext;

/**
 * 实体[SYXTBYD] 服务对象接口
 */

public interface ISYXTBYDService{
     boolean remove(String syxtbydid) ;
     boolean update(SYXTBYD syxtbyd) ;
     SYXTBYD getTempMajor(SYXTBYD syxtbyd) ;
     SYXTBYD createTemp(SYXTBYD syxtbyd) ;
     SYXTBYD updateTempMajor(SYXTBYD syxtbyd) ;
     SYXTBYD getTemp(SYXTBYD syxtbyd) ;
     boolean save(SYXTBYD syxtbyd) ;
     SYXTBYD getDraft(SYXTBYD syxtbyd) ;
     SYXTBYD removeTempMajor(SYXTBYD syxtbyd) ;
     SYXTBYD getTBYDKXX(SYXTBYD syxtbyd) ;
     boolean checkKey(SYXTBYD syxtbyd) ;
     SYXTBYD removeTemp(SYXTBYD syxtbyd) ;
     SYXTBYD updateTemp(SYXTBYD syxtbyd) ;
     boolean create(SYXTBYD syxtbyd) ;
     SYXTBYD createTempMajor(SYXTBYD syxtbyd) ;
     SYXTBYD get(String syxtbydid) ;
     SYXTBYD get(SYXTBYD syxtbyd) ;
     SYXTBYD getDraftTempMajor(SYXTBYD syxtbyd) ;
     SYXTBYD getDraftTemp(SYXTBYD syxtbyd) ;

    /**
     * 查询集合 DEFAULT
     */
     Page<SYXTBYD> searchDefault(SYXTBYDSearchContext context) ;

    /**
     * 根据车险单查询
     */
     Page<SYXTBYD> selectByCID(String cidid) ;
     List<SYXTBYD> selectByCID2(String cidid);

    /**
     * 根据特别约定库查询
     */
     Page<SYXTBYD> selectByTBYDK(String tbydkid) ;
     List<SYXTBYD> selectByTBYDK2(String tbydkid);

}
